<?xml version='1.0'?>
<!--
    This  file   is  part  of  DocBookEasy.   DocBookEasy   is  a  web
    application that displays and edits DocBook documents.

    Copyright (C) 2008 Dashamir Hoxha, dashohoxha@users.sf.net

    DocBookEasy  is  free software;  you  can  redistribute it  and/or
    modify it  under the  terms of the  GNU General Public  License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    DocBookEasy is distributed in the hope that it will be useful, but
    WITHOUT  ANY  WARRANTY;  without  even  the  implied  warranty  of
    MERCHANTABILITY or FITNESS FOR  A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

    You should have received a  copy of the GNU General Public License
    along  with  DocBookEasy;  if  not,  write to  the  Free  Software
    Foundation,  Inc.,   59  Temple  Place,  Suite   330,  Boston,  MA
    02111-1307 USA
  -->

<!--
    This is a customization of the docbook formating stylesheets, which
    does not format the XML content to convert it to XHTML, but instead
    copies it verbatim, with all the elements and attributes that are there.
    This is achieved by overriding the template of each element to copy
    recursivly each attribute and subelement.
  -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">


<xsl:import
  href="http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl"/>


<!-- copy everything recursivly -->
<xsl:template match="*|@*">
  <xsl:copy>
    <xsl:apply-templates select="@*"/>
    <xsl:apply-templates select="node()"/>
  </xsl:copy>
</xsl:template>


<!--
  this is added to fix the problem of the 'fileref' attribute,
  which is copied as content of <imagedata> instead of being copied
  as attribute 
-->
<xsl:template match="imagedata">
  <xsl:copy-of select="." />
</xsl:template>


</xsl:stylesheet>
